# eric4.Preferences.ConfigurationPages.RefactoringPage

Module implementing the Refactoring configuration page.

### Classes

RefactoringPage | Class implementing the Refactoring configuration page.

### Functions

create | Module function to create the configuration page.

## RefactoringPage

Class implementing the Refactoring configuration page.

### Derived from

ConfigurationPageBase, Ui_RefactoringPage

### Methods

RefactoringPage | Constructor
save | Public slot to save the Refactoring configuration.

#### RefactoringPage (Constructor)

RefactoringPage()

Constructor

#### RefactoringPage.save

save()

Public slot to save the Refactoring configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up